/*************************************************************************/
/*************************************************************************/
/* H. Timucin OZDEMIR                                                    */
/* Date : February, 1997                                                 */
/* File Name : XsigmoidMF.h                                              */
/*************************************************************************/
/*************************************************************************/

#ifndef _XSIGMOIDMF_H
#define _XSIGMOIDMF_H

#include "sigmoidMF.h"

class XsigmoidMF : public sigmoidMF
{
   public:

     virtual float getValue(float);
     virtual Function* getMyTwin();

     XsigmoidMF(float,float);

     friend ostream& operator<<(ostream&, const XsigmoidMF& );

     virtual void printOn(ostream&) const;

}; // end of class XgaussMF

XsigmoidMF::XsigmoidMF(float a1,float a2) : sigmoidMF(a1,a2) {}

float XsigmoidMF::getValue(float x) { return (x*XsigmoidMF::getValue(x)); }

Function * XsigmoidMF::getMyTwin()
{  XsigmoidMF *ret = new XsigmoidMF(getCenter(), getSpread());
   (*ret).setCutOff(getCutOff());
   return ret;
}// end of getMyTwin()

ostream& operator<<(ostream& os, const XsigmoidMF& RHS)
{  RHS.printOn(os);
   return os;
}// end of operator<<

void XsigmoidMF::printOn(ostream& os) const 
{  os << " XSigmoid(" << center << "," << spread << ") with " << cutOff;
}// end of printOn()

#endif
